Subject: [pim] Error in CouldAssert(S,G,I)?

From: Christopher Thomas Brown <[email-masked]>
Date: Wed, 17 Nov 2004 17:19:42 -0500

In CouldAssert(S,G,I),
there is the following:
	... + joins(S,G) + pim_include(S,G) ) )

The textual description says this:
CouldAssert(S,G,I) is true for downstream interface which would be in the
inherited_list(S,G) if (S,G) assert information was not taken into account.

However, pim_include(S,G) takes into account (S,G) assert information. With
the above definition CouldAssert(S,G,I) will be false on an interface where
I have just a local receiver but have lost the assert.  It seems like the
text description is correct and the macro is incorrect. Should pim_include(S,G)
just be replaced with (local_receiver_include(S,G,I) AND I_am_DR(I))?

Chris

_______________________________________________
pim mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pim